function data=load_data(datadir, data_name)
%load_data(data_dir, data_name)
% Load the data. Use Matlab format if it exists.

% Author: Isabelle Guyon -- November 2009 -- causality@clopinet.com

    data=[];
    if exist([datadir '/' data_name '.mat'], 'file') 
        fprintf('==> Loading data in Matlab format... ');
        X=load([datadir '/' data_name '.mat']);
        data=X.data;
        fprintf('done\n');
    elseif exist([datadir '/' data_name '.data'], 'file') 
        fprintf('==> Loading data in text format... ');
        data=load([datadir '/' data_name '.data']);
        fprintf('done\n');
        fprintf('==> Saving data in Matlab format... ');
        save([datadir '/' data_name '.mat'], 'data');
        fprintf('done\n');
    else
        fprintf('==> ERROR: No %s data file in directory %s\n', data_name, datadir);
        return
    end
    % Replace missing values by 0
    data(isnan(data))=0;
    % Replace Inf by a large number
    data(data==Inf)=123456789;
    data(data==-Inf)=-123456789;
return