function save_sample(a, tag, X, Y, T, Z)
%save_sample(a, tag, X, Y, T, Z)
% Save a data matrix X (and optionally Y, T, Z)
% tag='train': default training data
% tag='test': default test data
% tag='manip': manipulation data
% Note: the matrix has +-1 values

% Isabelle Guyon -- isabelle@clopinet.com -- Oct 2009

if nargin<4, Y=[]; end
if nargin<5, T=[]; end
if nargin<6, Z=[]; end

if ~isempty(tag)
    cl=class(a);
    fn=[cl '_' tag];
    pth=which(cl);
    ar=findstr(pth, '@');
    pth=pth(1:ar-1);
    save([pth '@' cl '/' fn], 'X', 'Y', 'T', 'Z');

    fprintf('DBN::save_sample: %s set saved\n', tag);
end