function [q, a]=score_result(a, q)
%q=score_result(a, q)
% Compute the score for predictions provided by a prediction query.
% There is no budget update because asking to score predictions is "free".
% It can be only done once.

% Isabelle Guyon -- isabelle@clopinet.com -- September 2009

if isempty(is_predict(q)) || ~is_predict(q)
    error('DBN::score_result: Not a prediction query');
    return
end

P=postmanipval(q);
Q=truth_values(a, q);
if (length(P)>length(Q)), 
    P=P(1:length(Q));
    fprintf('WARNING: DBN::score_result: length of predicted vector larger than truth values: truncated\n');
end
if (length(Q)>length(P)), 
    Q=Q(1:length(P)); 
    fprintf('WARNING: DBN::score_result: length of truth value vectorlarger than predicted vector: truncated\n');
end
[s, e] = gauc(P, Q);
q=postmanipvar(q, []);
q=postmanipval(q, []);

q=score(q, s, e);
