function t=task_n_pricing(a)
%t=task_n_pricing(a)
% This function returns a text (string) explaining the task to be solved,
% the budget, and the cost of data instances (w or wo manipulations).

% Isabelle Guyon -- isabelle@clopinet.com -- Oct 2009

t=[upper(class(a)) ': This is a discrete Bayesian network. There is no particular target variable.' ...
    ' There are ' num2str(length(a.observable)) ' observable variables (observable=[' num2str(a.observable) ']) and ' num2str(length(a.actionable)) ' actionable variables (actionable=[' num2str(a.actionable) ']).' ...
    ' There are no unobservable or hidden variables.' ...
    ' The goal is to predict non-manipulated values in test data. For each line of the test data, a single variable is not manipulated (moving target) -- value NaN=missing.' ...
    ' Return that value in the PREDICT file. No training and test data are initially provided: you need to request data and pay for them in virtual cash.' ...
    ' You have an **initial budget of ' num2str(a.initial_budget) ' experimental cash units (ECU)**. This allows you to purchase all the default training set,' ...
    ' which costs ' num2str(a.train_cost) ' ECU, and the test set, which costs ' num2str(a.test_cost) ' ECU.' ...
    ' The goal is to optimize your spending to do better than you can do by just purchasing the default training set by planning your experiments.' ...
    ' You need to purchase the test set to make your final predictions, but you can save by requesting only a subset of the variables.' ...
    ' But, be careful: keep enough cash to purchase the test set, otherwise you will have to make predictions on unknown samples.' ...
    ' There are ' num2str(a.train_num) ' training examples (in the default training set), and ' num2str(a.test_num) ...
    ' example in each test set. For training data, you may request a subset of variables, e.g. exclude the target, which is expensive.' ...
    ' For test data, you cannot choose the manipulations: we provide you with a query including the manipulation to be performed on the test set.' ...
    ' Hence, the test data will consist of pre-manipulation observations and manipulations. You will be charged ' ...
      num2str(a.cost_per_sample) ' ECU for samples, ' ...
      num2str(a.cost_per_var_observation) ' ECU per variable observation (in addition to the cost per sample) -- you pay both to observe variables before and after manipulation --, and' ...
      num2str(a.cost_per_var_manipulation) ' ECU per variable manipulation (in addition to the cost per sample). Good luck!'];