function verify_cpd(a, M)
%verify_cpd(a, M)
% Verify that the CPDs for a drawn samples are correct

% Isabelle Guyon -- isabelle@clopinet.com -- Nov 2007 - May 2009

bnet=a.bnet;

if min(min(M))<=0 
    fprintf('DBN::verify_cpd: Negative values found, cannot run verify_cpd');
    return
end

% Copy net
bnet2 = bnet;
% Learn parameters
bnet2 = learn_params(bnet2, M');
if iscell(bnet.names)
    names=bnet.names;
else
    names=struct(bnet.names).keys;
end
N=length(names);

fprintf('\nDBN::verify_CPD: CPDs of the original net and the net learned from the samples:\n\n');
CPT = cell(1,N);
for i=1:N
  CPT{i}=struct(bnet.CPD{i}).CPT;
end
CPT2 = cell(1,N);
for i=1:N
  CPT2{i}=struct(bnet2.CPD{i}).CPT;
end
for i=1:N
    names{i}
    dispcpt(CPT{i})
    fprintf('\n');
    dispcpt(CPT2{i})
end