function q=manipulate(a, q)
% q=manipulate(a, q)
%Fills in the fields q.manipvar and q.manipval.
% All the variables except one are manipulated in turn.
% The goal is to predict the values of the unmanipulated variable.

% Isabelle Guyon -- isabelle@clopinet.com -- Oct 2009

weights=a.W;

tag='manip1';
[manip_var, manip_val, postmanip_var] =reload_sample(a, tag);

if isempty(manip_var)
    
    fprintf('SEM::manipulate: Random design\n');
    manip_val=zeros(a.test_num, a.varnum);
    postmanip_var=zeros(a.test_num, 1);
    for i=1:a.varnum
        w = weights{i};
        if iscell(w), w=w{2}; end
        manip_val(:,i) = -1+2*rand(a.test_num,1) + w(end) * randn(a.test_num,1);
    end 
    % Every variable in turn is not manipulated
    bnum=round(a.test_num/a.varnum);
    b=1; e=bnum;
    for i=1:a.varnum
        if e>a.test_num, e=a.test_num; end
        if i==a.varnum, e=a.test_num; end
        manip_val(b:e,i)=NaN;
        postmanip_var(b:e)=i;
        b=b+bnum;
        e=e+bnum;
    end
    
    manip_var=a.actionable;
    manip_val=manip_val(:, manip_var);
    
    if ~isempty(manip_val)
        save_sample(a, tag, manip_var, manip_val, postmanip_var);
    end
end

q=manipvar(q, manip_var);
q=manipval(q, manip_val);
q=postmanipvar(q, postmanip_var);
