function a=load_sample(a)
%a=load_sample(a)
% Reload data matrices 

% Isabelle Guyon -- isabelle@clopinet.com -- Nov 2009

filename=[whereis(a) class(a)];
% DATA
if exist([filename '.mat'], 'file')==2
    A=load([filename '.mat']);
    fprintf('al_model::load_sample: reload data matrix\n');
    if ~issparse(A.data) && (nnz(A.data)/numel(A.data))<0.1
        A.data=sparse(A.data);
        data=A.data;
        fprintf('al_model::load_sample: save data matrix\n');
        save(filename, 'data');
        clear data
    end
elseif exist([filename '.data'], 'file')==2
    data=load([filename '.data']);
    if (nnz(data)/numel(data))<0.1
        data=sparse(data);
    end
    fprintf('al_model::load_sample: save data matrix\n');
    save(filename, 'data');
    A.data=data;
    clear data
else
    A=struct;
end
% LABELS
if exist([filename '.label'], 'file')==2
    A.label=load([filename '.label']);
end
% IDS
al_info={'labelid', 'featid', 'dataid'};
for k=1:length(al_info)
    if exist([filename '.' al_info{k}], 'file')==2
        A.(al_info{k})=textread([filename '.' al_info{k}], '%s')';
        if strcmp(al_info{k}, 'dataid'), A.(al_info{k})=A.(al_info{k})'; end
    end
end
al_info=fieldnames(A);
for k=1:length(al_info)
    a.(al_info{k})=A.(al_info{k});
end


    



