function t=task_n_pricing(a)
%t=task_n_pricing(a)
% This function returns a text (string) explaining the task to be solved,
% the budget, and the cost of data instances (w or wo manipulations).

% Isabelle Guyon -- isabelle@clopinet.com -- Oct 2009

t=[upper(class(a)) ': This is an active learning dataset. The goal is the predict the values of a particular target variable (labels).' ...
    ' There are ' num2str(length(a.observable)) ' observable variables and NO actionable variable.' ...
    ' There are no (known) unobservable or hidden variables.' ...
    ' There might be missing values (coded as NaN) or infinite values (coded as -Inf or Inf).' ...
    ' Data initially come unlabeled. Unlabeled data are "free". You may query for labels by providing a list of samples in a SAMPLE file.' ...
    ' Note: only the first ' num2str(a.train_num) ' examples may be queried for labels, the remaining ' num2str(a.test_num) ' examples are used for test purpose only.', ...
    ' To get labels, you must also provide predicted values for all the samples in a PREDICT file that you package with your SAMPLE file in a zip archive.' ...
    ' You will get in return a LABEL file, with the labels of the samples you requested.', ...
    ' You have an **initial budget of ' num2str(a.initial_budget) ' experimental cash units (ECU)**. This allows you to purchase all the training labels.' ...
    ' You will be charged ' num2str(a.cost_per_target_observation) ' ECU per label.' ...
    ' The goal is to optimize your queries to climb the learning curve as fast as possible. Good luck!'];