function t=task_n_pricing(a)
%t=task_n_pricing(a)
% This function returns a text (string) explaining the task to be solved,
% the budget, and the cost of data instances (w or wo manipulations).

% Isabelle Guyon -- isabelle@clopinet.com -- May 2009

t=[upper(class(a)) ': This is a template for a model class.' ...
    ' There are ' num2str(length(a.observable)) ' are observable (observable=[' num2str(a.observable) ']) and ' num2str(length(a.actionable)) ' are actionable (actionable=[' num2str(a.actionable) ']).' ...
    ' There are no unobservable or hidden variables.' ...
    ' The goal is to predict the target variable or label (variable 0) in unlabeled samples drawn from a manipulated distribution.' ...
    ' No training and test data are initially provided: you need to request data and pay for them in virtual cash.' ...
    ' You have an **initial budget of ' num2str(a.initial_budget) ' experimental cash units (ECU)**. This allows you to purchase all the labeled default training set,' ...
    ' which costs ' num2str(a.train_cost) ' ECU, and and one test set, which costs ' num2str(a.test_cost) ' ECU.' ...
    ' The goal is to optimize your spendings to do better than you can do by just purchasing the default training set by planning your experiments.' ...
    ' You need to purchase the (unlabeled) test set to make your final predictions, but, you can save by requesting only a subset of the variables.' ...
    ' But, be careful: keep enough cash to purchase the test set, otherwise you will have to make predictions on unknown samples.' ...
    ' There are ' num2str(a.train_num) ' training examples (in the default training set), and ' num2str(a.test_num) ...
    ' example in each test set. For training data, you may request a subset of variables, e.g. exclude the target, which is expensive.' ...
    ' You may also request first unlabeled samples and then make a survey, i.e., ask for the target values (labels) for only selected samples.' ...
    ' This would be more economical. ' ...
    ' For test data, you cannot choose the manipulations: we provide you with a query including the manipulation to be performed on the test set.' ...
    ' Hence, the test data will consist of pre-manipulation observations and manipulations. You will be charged ' ...
      num2str(a.cost_per_sample) ' ECU for samples, ' ...
      num2str(a.cost_per_var_observation) ' ECU per variable observation (in addition to the cost per sample) -- you pay both to observe variables before and after manipulation --, ' ...
      num2str(a.cost_per_var_manipulation) ' ECU per variable manipulation (in addition to the cost per sample), and ' ...
      num2str(a.cost_per_target_observation) ' ECU per target observation (in addition to the cost per variable observation and per sample). Good luck!'];