function q = convert_to_01(q)
%q = convert_to_01(q)
% Convert binary data (any pairs of values) to 01
% Except the target, which goes to +-1

% IG Sept/Oct 09

q.premanipval = to01(q.premanipvar, q.premanipval);
q.manipval = to01(q.manipvar, q.manipval);
q.postmanipval = to01(q.postmanipvar, q.postmanipval);

function X = to01 (V, X)
if ~isempty(X)
    for k=1:size(X,2)
        x=X(:,k);
        v0=min(x);
        v1=max(x);
        idx0=find(x==v0);
        idx1=find(x==v1);
        x(idx0)=0;
        x(idx1)=1;
        X(:,k)=x;
    end
    % find the target
    t=find(V==0);
    if ~isempty(t)
        % The target should remain +-1
        X(:,t) = 2*X(:,t)-1;
    end
end