function a=load(a, filename)
%a=load(a, filename)
% Load a query from files with desired extentions

% Isabelle Guyon -- isabelle@clopinet.com -- May/November 2009

% Remove extension
dot=strfind(filename, '.'); 
if isempty(dot), 
    dot=0; 
else
    dot=max(dot);
end
slash1=strfind(filename, '/'); if isempty(slash1), slash1=0; end
slash2=strfind(filename, '\'); if isempty(slash2), slash2=0; end
if dot<max([slash1, slash2]), dot=[]; end
if ~isempty(dot)
    filename=filename(1:dot(length(dot))-1);
end

[dd, fn]=split_filename(filename);

is_zipped=1;
nm=un_zip(dd, fn);
if isempty(nm)
    is_zipped=0;
    direc = dir([filename '.*']); nm = {};
    [nm{1:length(direc),1}] = deal(direc.name);
end

us=findstr(fn, '_');
if length(us)<3, 
    fprintf('query::load: Submission name not in the form [ParticipantID]_[ModelName]_[ExperimentName]_[DateSubmitted]\n');
else
    allowed_models={'alex', 'hiva', 'ibn_sina', 'nova', 'orange', 'sylva', 'zebra'};
    for k=1:length(allowed_models)
        m=findstr(fn, allowed_models{k});
        if ~isempty(m), 
            a.model_name=allowed_models{k}; 
            a.participant_ID=fn(1:m-2);
            a.experiment_name=fn(m+1+length(allowed_models{k}):us(length(us))-1);
            a.date_submitted=fn(us(length(us))+1:length(fn));
            break;
        end
    end
end

nothing=1;
for k=1:length(nm)
    d=nm{k};
    dot=strfind(d, '.');
    if ~isempty(dot)
        nothing=0;
        ext=d(dot(length(dot))+1:length(d));
        switch lower(ext)
            case 'readme' 
                type([dd '/' d]);
                a.README=sread([dd '/' d]);
            case 'type'
                mytype=textread([dd '/' d], '%s');
                a.type=mytype{1};
                if length(mytype)>1, a.type=[mytype{1} ' ' mytype{2}]; end
            case 'zip'
                % Do nothing
            otherwise
                a.(ext)=load([dd '/' d]);
        end
    end
end
   
if nothing
    fprintf('query::load: nothing found!\n')
elseif is_zipped
    % Remove the unzipped files
    for k=1:length(nm)
        fn=[dd '/' nm{k}];
        delete(fn);
    end
    fprintf('query::load: removed %d unzipped files\n', length(nm));
else
    % Zip the files (why not)
    fprintf('query::load: zip the files\n');
    re_zip(dd, fn, 1);
end

% Sanity check and preliminary calculation of number of samples
a=sanitize(a);

return


