function a=save(a, filename)
%a=save(a, filename)
% Save a query as files with desired extentions

% Isabelle Guyon -- isabelle@clopinet.com -- May 2009


if a.is_test~=0 | a.is_train~=0
    if a.is_test, set_name='TEST'; else set_name='TRAIN'; end
    F={'manipcost', 'manipnum', 'obsercost', 'obsernum', 'samplecost', 'samplenum', 'totalcost'};
    for k=1:length(F)
        matrix_data_write([filename '.' F{k}], a.(F{k}));
    end
    
    nm=dir([filename '*']);
    m1=max(findstr(filename, '/')); if isempty(m1), m1=1; end
    m2=max(findstr(filename, '\')); if isempty(m2), m2=1; end
    slash=max(m1, m2);
    dd=filename(1:slash-1);
    if isempty(dd), dd='.'; end
    tfilename=[dd '/' set_name num2str(a.is_test)];
    if a.is_test
        fp=fopen([tfilename '.README'], 'w');
        fprintf(fp, ['TEST' num2str(a.is_test) '.postmanipval should not be given to the participants. These are the values to be predicted.']);
        fclose(fp);
        filename=[filename '_TEST' num2str(a.is_test)];
        matrix_data_write([filename '.premanipval'], a.premanipval);
        filename=tfilename;
        F=[F, 'premanipval'];
    end
    filename=tfilename;
else
    F={'premanipval'};
end

F=setdiff(fields(a), F);
F=setdiff(F, 'is_test');
F=setdiff(F, 'is_train');
for k=1:length(F)
    matrix_data_write([filename '.' F{k}], a.(F{k}));
end

            

