function fn=re_zip(file_dir, file_name, rmfiles)
%fn=re_zip(file_dir, file_name, rmfiles)
% Zip files having names file_name.ext found in file_dir
% and remove them if rmfiles=1.
% Return the zip file name.
    if ~usejava('jvm'),
        fprintf('==> Java is not loaded, failed to generate ZIP files !!!\n'); 
        fn=[];
        return
    end
    if nargin<2, rmfiles=0; end
    D=dir([file_dir '/' file_name '.*']);
    [resu_files{1:length(D)}] = deal(D.name);
    resu_files=setdiff(resu_files, [file_name '.zip']);
    for k=1:length(resu_files)
        if ~exist(resu_files{k}, 'file') ==2
            resu_files=setdiff(resu_files, resu_files{k});
        end
    end
    if ~isempty(resu_files)
        zip([file_dir '/' file_name], resu_files, file_dir);
    else
        fprintf('re_zip: Nothing to zip!\n');
    end
    
    if rmfiles
        % Remove the original files
        for k=1:length(resu_files)
            delete([file_dir '/' resu_files{k}]);
        end    
    end
    fn=[file_dir '/' file_name '.zip'];
 return