function ok=use_glop(model_dir, remove)
% ok=useglop(model_dir, remove)
% Set the path for the glop packages

if nargin<2,
    remove=0;
end

ok=0;

this_dir=pwd;
if nargin<1, 
    model_dir=which('use_glop'); 
    model_dir=model_dir(1:strfind(model_dir, 'use_')-1);
end

cd(model_dir);
if ~(exist('use_glop.m') == 2)
    disp 'Wrong code path: the path should include the glop directory';
    cd(this_dir);
    return
end

if remove,
    pp=path;
    if strcmp(computer, 'PCWIN')
        sep=';';
    else
        sep=':';
    end
    colon=strfind(pp, sep);
    colon(length(colon)+1)=length(pp)+1;
    colon=[0 colon];
    for k=1:length(colon)-1
        fn=pp(colon(k)+1:colon(k+1)-1);
        if strfind(fn, 'GLOP');
            rmpath(fn);
        end
    end
    disp 'GLOP removed'
    cd(this_dir);
    return
end

disp(' ');
disp('GLOP : Generative Learning Object Package.');
disp(' ');
disp('DISCLAIMER: ALL INFORMATION, SOFTWARE, DOCUMENTATION, AND DATA ARE PROVIDED "AS-IS"'); 
disp('ISABELLE GUYON AND/OR OTHER ORGANIZERS DISCLAIM ANY EXPRESSED OR IMPLIED WARRANTIES,'); 
disp('INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS'); 
disp('FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY OF NON-INFRIGEMENT OF ANY THIRD PARTY''S'); 
disp('INTELLECTUAL PROPERTY RIGHTS. IN NO EVENT SHALL ISABELLE GUYON AND/OR OTHER ORGANIZERS'); 
disp('BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER');
disp('ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF SOFTWARE, DOCUMENTS,'); 
disp('MATERIALS, PUBLICATIONS, OR INFORMATION MADE AVAILABLE.');
disp(' ');

fprintf('GLOP version : %s\n', code_version);

if datenum(version('-date')) >= datenum('May 6 2004')
 d = dbstack('-completenames');
 rootdir = fileparts(d(1).file);
else
 d = dbstack; 
 rootdir = fileparts(d(1).name);
end   

olddir = pwd; cd(rootdir), rootdir = pwd; cd(olddir)

subdirs = {
    'packages'
    'basic'
    'models'
    'functions'
};

for i = 1:length(subdirs)
	s = cellstr(subdirs{i});
	subdirs{i} = fullfile(rootdir, s{:});
end

addpath(subdirs{:});

%warning off
%addpath(genpathKPM(subdirs{1}));
%warning on

cd(this_dir);
ok=1;
